## libsmbios 0.10.6

=== Makefile ===
#!/usr/bin/make 
# vim:noet:ai:ts=8:sw=8:filetype=make:nocindent:textwidth=0:
#
# Copyright (C) 2005 Dell Inc.
#  by Michael Brown <Michael_E_Brown@dell.com>
# Licensed under the Open Software License version 2.1 
# 
# Alternatively, you can redistribute it and/or modify 
# it under the terms of the GNU General Public License as published 
# by the Free Software Foundation; either version 2 of the License, 
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranty of 
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
# See the GNU General Public License for more details.
#
# Note that all 'module.mk' files are "include"-ed in this file and
# fall under the same license.
# 
# This is a standard non-recursive make system.
#

  RELEASE_NAME := libsmbios
  include version.mk
  RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
  RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
  RPM_RELEASE := 1

  BUILD_DATE := $(shell date "+%Y-%m-%d %H:%M:%S")

#Standard Compiler Flags  
	# To pass in extra args to CFLAGS, CXXFLAGS, or LDFLAGS, use the EXTRA_* 
	# versions from make's command line (see below)
  CXXFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
  CFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -Wbad-function-cast -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
  LDFLAGS += -Llib/ $(EXTRA_LDFLAGS)

WARNINGS=-Wpointer-arith -Wfloat-equal -Wcast-qual -Wcast-align -Wwrite-strings -Wredundant-decls -Winline 
WARNINGS_CXX=-Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor  -Wreorder -Woverloaded-virtual -Wsign-promo  -Wsynth 
# useful, but cannot enable all the time due to excessive warnings. 
#-Wold-style-cast -pedantic
# would like to enable, but cannot.
#-Weffc++ 
NO_WARN=-Wno-long-long -Wno-inline

#Standard include locations
  CXXFLAGS += -Iinclude/ -Llib/ $(EXTRA_CXXFLAGS) $(WARNINGS) $(WARNINGS_CXX) $(NO_WARN) -O2
  CFLAGS += -Iinclude/ -Llib/ $(EXTRA_CFLAGS) $(WARNINGS) $(NO_WARN) -O2

#Release history:
# 0.1.0 == 22 Dec 2001 initial import into CVS.

#--------------------------------------------
# Generic Makefile stuff is below. You
#  should not have to modify any of the stuff
#  below.
#--------------------------------------------

  default: noxml
  nothing:

#Included makefiles will add their deps for each stage in these vars:
  RPMS := 

  INSTALL_LIST :=
  INSTALL_DEPS :=

  CLEAN_LIST := 
  CLEAN_DEPS :=

  DISTCLEAN_LIST :=  config.mk
  DISTCLEAN_DEPS :=

  ALL_DEPS :=
  BASE_BINS :=
  BASE_BINS_STATIC :=
  BASE_LIBS :=
  BASE_STATIC_LIBS :=
  BASE_STATIC_DEBUG_LIBS :=
  EXT_BINS :=
  EXT_BINS_STATIC :=
  EXT_LIBS :=
	

#Define the top-level build directory
  BUILDDIR := $(shell pwd)

  include build/Rules.make-linux
  include build/Rules.make-common

  dir:=libraries
  include libraries/module.mk

  dir:=cppunit
  include cppunit/module.mk

  dir:=kernel
  include kernel/module.mk

  dir:=doc
  include doc/module.mk

  dir:=bins
  include bins/module.mk

  dir:=supported-bins
  include supported-bins/module.mk

  include common.mk

#Include the docs in the build
#  doc_FILES += COPYING INSTALL README

  all:  $(ALL_DEPS) 
  minimal: $(BASE_BINS) 
  static: $(BASE_BINS_STATIC) $(EXT_BINS_STATIC)

  clean: clean_list $(CLEAN_DEPS) 
  clean_list:
	rm -rf $(CLEAN_LIST)

  distclean: clean distclean_list $(DISTCLEAN_DEPS) 
  distclean_list:
	rm -rf $(DISTCLEAN_LIST)

  install_list: $(INSTALL_LIST)
  install: all $(INSTALL_DEPS) install_list

  .PHONY: tarball rpm
  tarball: $(RELEASE_STRING).tar.bz2
  zip: $(RELEASE_STRING).zip
  rpm: $(RPMS)

  .PHONY: version
  version:
  	@echo "Libsmbios Version: $(RELEASE_VERSION)"

  $(RELEASE_STRING).zip $(RELEASE_STRING).tar.bz2: $(shell find . -name \*.cpp -o -name \*.h -o -name \*.mk -o -name \*.hpp -o -name \*.in ) Makefile 
	$(SIL)[ ! -e $(RELEASE_STRING) ] || rm -rf $(RELEASE_STRING)
	$(SIL)[ ! -e $(RELEASE_STRING).tar.bz2 ] || rm -rf $(RELEASE_STRING).tar.bz2
	$(SIL)[ ! -e $(RELEASE_STRING).zip ] || rm -rf $(RELEASE_STRING).zip
	find . -depth | grep -v ^./$(RELEASE_STRING) | grep -v ^rpm/ | cpio -pdm $(RELEASE_STRING) 
	$(SIL)make -s -C $(RELEASE_STRING) libsmbios.spec
	$(SIL)make -s -C $(RELEASE_STRING) libraries/smbiosxml/StdSmbiosXml.h
	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save
	$(SIL)make -s -C $(RELEASE_STRING) distclean
	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h
	$(SIL)find $(RELEASE_STRING) -name \*.d -exec rm {} \;
	tar cjf $(RELEASE_STRING).tar.bz2 $(RELEASE_STRING)
	zip -r $(RELEASE_STRING).zip $(RELEASE_STRING)
	$(SIL)rm -rf $(RELEASE_STRING)/


  CLEAN_LIST += $(RELEASE_NAME)*.rpm
  CLEAN_LIST += $(RELEASE_STRING).tar.bz2
  CLEAN_LIST += $(RELEASE_STRING).zip
  CLEAN_LIST += $(shell find . -name .\#\* )
  CLEAN_LIST += $(shell find . -name core )
  CLEAN_LIST += $(shell find . -name .\*.swp )
  CLEAN_LIST += testResults.xml
  CLEAN_LIST += tmp/
  CLEAN_LIST += rpm/
  CLEAN_LIST += build/VC*/*/Debug build/VC*/*/Release build/VC*/*/*.plg build/VC*/*.ncb build/VC*/*.opt

  .PHONY: all clean clean_list distclean distclean_list \
  		install install_list 

# Here is a list of variables that are assumed Local to each Makefile. You can
#   safely stomp on these values without affecting the build.
# 	MODULES
#	FILES
#	TARGETS
#	SOURCES

=== kernel/linux/dcdbas/2.6.13/Makefile ===
# vim:noet:ts=8:sw=8:filetype=make:

ifneq ($(KERNELRELEASE),)
obj-m := dcdbas.o

else

KDIR := /lib/modules/$(shell uname -r)/build
PWD     := $(shell pwd)
default:
	$(MAKE) -C $(KDIR) M=$(PWD)

endif

=== kernel/linux/dell_rbu/2.6.12_and_earlier/Makefile ===
# vim:noet:ts=8:sw=8:filetype=make:

ifneq ($(KERNELRELEASE),)
obj-m := dell_rbu.o

else

KDIR := /lib/modules/$(shell uname -r)/build
PWD     := $(shell pwd)
default:
	$(MAKE) -C $(KDIR) M=$(PWD)

endif

## libsmbios 0.12.1

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,6 @@
 # This is a standard non-recursive make system.
 #
 
-  RELEASE_NAME := libsmbios
   include version.mk
   RELEASE_VERSION := $(RELEASE_MAJOR).$(RELEASE_MINOR).$(RELEASE_SUBLEVEL)$(RELEASE_EXTRALEVEL)
   RELEASE_STRING := $(RELEASE_NAME)-$(RELEASE_VERSION)
@@ -32,21 +31,21 @@
 #Standard Compiler Flags  
 	# To pass in extra args to CFLAGS, CXXFLAGS, or LDFLAGS, use the EXTRA_* 
 	# versions from make's command line (see below)
-  CXXFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
+  CXXFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE 
   CFLAGS += -DBUILD_DATE="$(BUILD_DATE)" -g -Wall -W -Wbad-function-cast -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_GNU_SOURCE
   LDFLAGS += -Llib/ $(EXTRA_LDFLAGS)
 
 WARNINGS=-Wpointer-arith -Wfloat-equal -Wcast-qual -Wcast-align -Wwrite-strings -Wredundant-decls -Winline 
-WARNINGS_CXX=-Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor  -Wreorder -Woverloaded-virtual -Wsign-promo  -Wsynth 
-# useful, but cannot enable all the time due to excessive warnings. 
-#-Wold-style-cast -pedantic
-# would like to enable, but cannot.
+WARNINGS_CXX=-Wabi -Wctor-dtor-privacy -Wnon-virtual-dtor  -Wreorder -Woverloaded-virtual -Wsign-promo  -Wsynth -Wold-style-cast
+# Would like to enable, but too many stupid warnings. (comma at end of enumerator list, anonymous structs
+# -pedantic
+# would like to enable, but cannot (too many warnings in system headers.).
 #-Weffc++ 
 NO_WARN=-Wno-long-long -Wno-inline
 
 #Standard include locations
-  CXXFLAGS += -Iinclude/ -Llib/ $(EXTRA_CXXFLAGS) $(WARNINGS) $(WARNINGS_CXX) $(NO_WARN) -O2
-  CFLAGS += -Iinclude/ -Llib/ $(EXTRA_CFLAGS) $(WARNINGS) $(NO_WARN) -O2
+  CXXFLAGS += -Ilibraries/common/ -Iinclude/ -Llib/ $(EXTRA_CXXFLAGS) $(WARNINGS) $(WARNINGS_CXX) $(NO_WARN) -O2
+  CFLAGS += -Ilibraries/common/ -Iinclude/ -Llib/ $(EXTRA_CFLAGS) $(WARNINGS) $(NO_WARN) -O2
 
 #Release history:
 # 0.1.0 == 22 Dec 2001 initial import into CVS.
@@ -69,7 +68,7 @@
   CLEAN_LIST := 
   CLEAN_DEPS :=
 
-  DISTCLEAN_LIST :=  config.mk
+  DISTCLEAN_LIST :=
   DISTCLEAN_DEPS :=
 
   ALL_DEPS :=
@@ -94,9 +93,6 @@
 
   dir:=cppunit
   include cppunit/module.mk
-
-  dir:=kernel
-  include kernel/module.mk
 
   dir:=doc
   include doc/module.mk
@@ -141,16 +137,32 @@
 	$(SIL)[ ! -e $(RELEASE_STRING).tar.bz2 ] || rm -rf $(RELEASE_STRING).tar.bz2
 	$(SIL)[ ! -e $(RELEASE_STRING).zip ] || rm -rf $(RELEASE_STRING).zip
 	find . -depth | grep -v ^./$(RELEASE_STRING) | grep -v ^rpm/ | cpio -pdm $(RELEASE_STRING) 
+	rm -f $(RELEASE_STRING)/include/smbios/version.h
+	$(SIL)make -s -C $(RELEASE_STRING) include/smbios/version.h
 	$(SIL)make -s -C $(RELEASE_STRING) libsmbios.spec
-	$(SIL)make -s -C $(RELEASE_STRING) libraries/smbiosxml/StdSmbiosXml.h
-	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save
+	$(SIL)make -s -C $(RELEASE_STRING) libraries/common/StdSmbiosXml.h
+	$(SIL)mv $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h-save
 	$(SIL)make -s -C $(RELEASE_STRING) distclean
-	$(SIL)mv $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h-save $(RELEASE_STRING)/libraries/smbiosxml/StdSmbiosXml.h
+	$(SIL)mv $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h-save $(RELEASE_STRING)/libraries/common/StdSmbiosXml.h
 	$(SIL)find $(RELEASE_STRING) -name \*.d -exec rm {} \;
 	tar cjf $(RELEASE_STRING).tar.bz2 $(RELEASE_STRING)
 	zip -r $(RELEASE_STRING).zip $(RELEASE_STRING)
 	$(SIL)rm -rf $(RELEASE_STRING)/
 
+  rpm: tarball
+	BLD_DIR=$$(mktemp -d /tmp/rpmbuild-$$$$-XXXXXX); \
+	mkdir -p $$BLD_DIR/SOURCES $$BLD_DIR/BUILD $$BLD_DIR/RPMS $$BLD_DIR/RPMS/i386 $$BLD_DIR/RPMS/noarch $$BLD_DIR/SRPMS $$BLD_DIR/SPECS ;\
+	rpmbuild --define "_topdir $$BLD_DIR" -ta $(RELEASE_STRING).tar.bz2  ;\
+	cp $$BLD_DIR/RPMS/*/*rpm .	;\
+	cp $$BLD_DIR/SRPMS/*rpm .	;\
+	rm -rf $$BLD_DIR
+
+  srpm: tarball
+	BLD_DIR=$$(mktemp -d /tmp/rpmbuild-$$$$-XXXXXX); \
+	mkdir -p $$BLD_DIR/SOURCES $$BLD_DIR/BUILD $$BLD_DIR/RPMS $$BLD_DIR/RPMS/i386 $$BLD_DIR/RPMS/noarch $$BLD_DIR/SRPMS $$BLD_DIR/SPECS ;\
+	rpmbuild --define "_topdir $$BLD_DIR" -ts --nodeps $(RELEASE_STRING).tar.bz2  ;\
+	cp $$BLD_DIR/SRPMS/*rpm .	;\
+	rm -rf $$BLD_DIR
 
   CLEAN_LIST += $(RELEASE_NAME)*.rpm
   CLEAN_LIST += $(RELEASE_STRING).tar.bz2
@@ -158,6 +170,7 @@
   CLEAN_LIST += $(shell find . -name .\#\* )
   CLEAN_LIST += $(shell find . -name core )
   CLEAN_LIST += $(shell find . -name .\*.swp )
+  CLEAN_LIST += $(shell find . -name \*.pyc )
   CLEAN_LIST += testResults.xml
   CLEAN_LIST += tmp/
   CLEAN_LIST += rpm/

## libsmbios 2.2.28

=== debian/changelog ===
libsmbios (2.2.28-1~exp1) experimental; urgency=low

  * New upstream release.  (Closes: #607725)
  * Apply Jari Aalto's patch to update packaging.  (Closes: #664393)
    - Remove deprecated dpatch and upgrade to packaging format 3.0 quilt.
    - Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Sync up package with Ubuntu 2.2.28
    - libsmbios-bin is now smbios-utils
    - python-libsmbios (python bindings) binary package is new
    - remove 01-gcc-4.4-fixes patch
  * Move cli.py from smbios-utils to python-smbios/examples
  * Change section of libsmbios-doc from libs to doc
  * Change section of python-smbios from admin to python
  * Add Vcs-Git and Vcs-Browser fields to d/control.
  * Add myself to Uploaders.

 -- tony mancill <tmancill@debian.org>  Wed, 26 Dec 2012 22:31:08 -0800

libsmbios (2.0.3.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compilation with GCC 4.4, thanks to Martin Michlmayr for the
    patch.  (Closes: #505589)

 -- Philipp Kern <pkern@debian.org>  Sun, 22 Aug 2010 16:28:25 +0200

libsmbios (2.0.3.dfsg-1) unstable; urgency=low

  [ Jose Luis Tallon ]
  * New upstream version (Closes: #494316)
    - merged enhancements from Ubuntu (thanks, guys)

  * debian/control:
    - Drop build depend on libxml2, xml packages since they are no longer
    supported upstream
    - Build libsmbios2 packages (soname bump)
    - Add dpatch to build-depends
    - Enable building on lpia (Closes: #488278)

  * debian/rules:
    - Add dpatch support
    - Don't clean up ltmain.sh, config.sub, or config.guess
      as they are shipped in the upstream tarball (Closes: #491795)

  * Additions:
    - removed (lib)smbiosxml.pc; it isn't needed anymore

  [ Loic Minier ]
  * Add empty dpatch 00list.
  * Add myself as Uploader.
  * Wrap build-deps and deps.
  * Drop useless debian/*.dirs.
  * Cleanup rules; drop useless vars, commented out sample constructs etc.
  * Pass -s to dh_* in binary-arch; call dh_testroot, and dh_install*,
    _compress, _fixperms, _installdeb, _gencontrol, _md5sums, _builddeb in
    binary-indep (with -i).
  * Drop useless dh_installdirs, dh_installexamples and dh_link calls.
  * Actually pass CFLAGS to ./configure; set LDFLAGS in the same way.
  * Prepend -z defs to LDFLAGS for safety with --as-needed.
  * Move configure flags to their own var, configure_flags.
  * Only pass --host to configure if DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
    differ.
  * Honor distclean exit status.
  * Drop configure from .PHONY, no such target.
  * Add patch and unpatch to .PHONY as dpatch.make doesn't do so.
  * Drop debian/README.Debian which only has a description of the packages and
    still listed libsmbiosxml.
  * Cleanup watch file.
  * Drop maintainer scripts which were mostly unused except for a manual
    ldconfig call which is handled by debhelper anyway.
  * Drop --disable-rpath configure flag; doesn't seem to be supported.
  * Drop duplicate dh_installman call and move man page symlinks to
    binary-arch.
  * Refactor man page symlinks shell snippet.
  * Drop useless debian/libsmbios-bin.docs.
  * Cleanup debian/Makefile.
  * Fix watch file.
  * Cleanup debian/*.install files.
  * Add ${shlibs:Depends} and ${misc:Depends} to libsmbios-dev.
  * Don't fixup the perms or include/smbios; these should be fixed on the
    package's dirs and dh_fixperms will fix them anyway.
  * Let config.status depend on $(DPATCH_STAMPFN) instead of build depending
    on patch-stamp.
  * Bump up debhelper compat level to 5; build-dep on >= 5.
  * Disable manpage and symlinks for now; closes: #394898.
  * Build-dep on chpath and chrpath -d binaries in usr/sbin after install to
    drop the RPATHes on the binaries (usually caused by a broken upstream
    libtool).
  * Do update build/config.guess and build/config.sub; this is safe and
    actually recommended; see autotools-dev README.Debian for rationale;
    ideally, we'd also save and restore upstream's files to keep a minimum
    Debian .diff, but this isn't too nice with the dpatch include.
  * Drop now useless libtool bdep.
  * Mention full download address in copyright.
  * Redo copyright and stop installing COPYING-OSL; do some copyright holders
    research aside of the upstream's COPYING information.
  * Don't ship README which only has licensing and build/install information.
  * Stop shipping obsolete TODO.
  * Jump on the SONAME package renaming train to stop shipping *.la files.
  * Fix snippet to avoid shipping boost_LICENSE_1_0_txt in libsmbios-dev.
  * Run testsuite after build unless nocheck is set in DEB_BUILD_OPTIONS.
  * Remove build-stamp in clean.
  * Strip binary blobs from the tarball (hence use a .dfsg version suffix) as
    the upstream tarball includes binary blobs in cppunit/platform/ which are
    memory dumps including a proprietary BIOS; document this in copyright;
    NB: upstream was contacted and will reply ASAP.  Comment out testsuite as
    a result.  Update watch file to mangle version number appropriately.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Wed,  1 Oct 2008 1:15:56 +0200

libsmbios (0.13.13-1) unstable; urgency=low

  * Fixed FTBFS with gcc4.3 *again* (Closes: 455641)
    - Thanks to Cyril Brulebois for providing the patch

  * Added missing additional README files (Closes: #443723)


 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 07 Mar 2008 23:40:37 +0100

libsmbios (0.13.10-2) unstable; urgency=low

  * Fixed FTBFS with gcc4.3 *again* (Closes: 455641)
    - Thanks to Cyril Brulebois for providing the patch

  * Added missing additional README files (Closes: #443723)

  * Kudos to Julien Blache for his support and sponsoring

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun,  7 Sep 2007 23:46:42 +0200

libsmbios (0.13.10-1) unstable; urgency=low

  * New upstream version (Closes: #441288)

  * Build process fixes/enhancements
    - Fixed debian/control to be binNMU-safe


=== debian/control ===
Source: libsmbios
Priority: optional
Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Uploaders: Loic Minier <lool@dooz.org>, tony mancill <tmancill@debian.org>
Vcs-Git: git://git.debian.org/git/collab-maint/libsmbios.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/libsmbios.git
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libcppunit-dev,
               doxygen,
               graphviz,
               python (>= 2.6.5),
               chrpath,
               libxml2-dev,
               pkg-config,
               autoconf,
               automake,
               libtool
Standards-Version: 3.9.3
Section: libs

Package: libsmbios2
Section: libs
Architecture: i386 amd64 ia64 lpia
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- dynamic library
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used 
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken 
 BIOS tables is provided. Currently, full access to the SMBIOS table and its 
 items is implemented. Additionally, access and manipulation of Dell Indexed 
 IO Token (type 0xD4) is implemented. This token is a vendor-extention 
 SMBIOS structure which allows uniform access to manipulate the system CMOS 
 to enable, disable, or otherwise manipulate normal BIOS functions or features.

Package: libsmbios-dev
Section: libdevel
Architecture: i386 amd64 ia64 lpia
Depends: libsmbios2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Provide access to (SM)BIOS information - development files
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be 
 used as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken 
 BIOS tables is provided.
 .
 To start out with, the focus is on the SMBIOS tables. Currently, full access
 to the SMBIOS table and its items is implemented. In the future, it will
 provide $PIR, MPTABLE, RCI, RBU, and other tables as well.
 .
 Additionally, access and manipulation of Dell Indexed IO Token (type 0xD4)
 is implemented. This token is a vendor-extention SMBIOS structure which
 allows uniform access to manipulate the system CMOS to enable, disable, or
 otherwise manipulate normal BIOS functions or features.

Package: smbios-utils
Section: admin
Provides: libsmbios-bin
Conflicts: libsmbios-bin
Replaces: libsmbios-bin
Architecture: i386 amd64 ia64 lpia
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-libsmbios,
         python
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- utility binaries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package includes libsmbios' sample binaries/utilities.

Package: python-libsmbios
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsmbios2
Breaks: ${python:Breaks}
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- python libraries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package provides python functions that can be imported
 into userspace programs.

Package: libsmbios-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Access to (SM)BIOS information in an OS-indepent way (docs)
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used 
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken 
 BIOS tables is provided. Currently, full access to the SMBIOS table and its 
 items is implemented. Additionally, access and manipulation of Dell Indexed 
 IO Token (type 0xD4) is implemented. This token is a vendor-extension
 SMBIOS structure which allows uniform access to manipulate the system CMOS 
 to enable, disable, or otherwise manipulate normal BIOS functions or features.

=== debian/rules ===
#!/usr/bin/make -f


CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

configure_flags += \
	--prefix=/usr \
	--with-cppunit-prefix=/usr \
	--with-gnu-ld \
	--sysconfdir=/etc

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE)
else
	configure_flags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

config.status:
	dh_testdir
	[ ! -e build/config.sub ] || cp -f /usr/share/misc/config.sub build
	[ ! -e build/config.guess ] || cp -f /usr/share/misc/config.guess build
	autoreconf -vf
	./configure \
		CFLAGS="$(CFLAGS)"  LDFLAGS="$(LDFLAGS)" \
		$(configure_flags)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
#ifeq ($(findstring nocheck,$(DEB_BUILD_OPTIONS)),)
#	$(MAKE) check
#endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	$(RM) -vf config.log Makefile
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# get rid of RPATH on 64-bits arches (usually caused by broken upstream
	# libtool)
	# only the old legacy C++ binaries need this
	cd debian/tmp/usr/sbin; ls | grep -v '\.sh$$' | grep dell | xargs chrpath -d

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installchangelogs -i
	dh_installexamples -i
	dh_installdocs -i
	dh_install -i
	dh_python2
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs  -s
	dh_installdocs -s
	dh_install -s
	$(RM) -vf debian/libsmbios-dev/usr/include/smbios/config/boost_LICENSE_1_0_txt
	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyc
	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyo
	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.py
	dh_installman -s
# manpage currently disabled, see #394898
#	cd $(CURDIR)/debian/libsmbios-bin; for f in usr/sbin/*; do \
#	    ln -s smbios-bin.1 usr/share/man/man1/$$(basename $$f).1; \
	done
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_link -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libsmbios 2.3.0

=== debian/changelog ===
libsmbios (2.3.0-0ubuntu1) xenial; urgency=medium

  * New upstream version

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 10 Mar 2016 03:52:33 -0600

libsmbios (2.2.28-2ubuntu2) xenial; urgency=medium

  * Install pkg-config files in libsmbios-dev.
  * Don't display a warning when compiling on newer compilers.

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 29 Feb 2016 16:43:09 -0600

libsmbios (2.2.28-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 08:08:30 +0000

libsmbios (2.2.28-2) unstable; urgency=low

  * cli.py should in fact be part of python-smbios
    (Closes: LP: #1185871)
  * Fix FTBFS problems on sid:
    - Add patch to disable dist-lzma for automake.
    - Add --install argument to autoreconf during build.
    - Add autopoint to build-depends.
  * Bump Standards-Version to 3.9.4.
  * Remove extraneous LICENSE file from libsmbios-doc.

 -- tony mancill <tmancill@debian.org>  Thu, 30 May 2013 22:16:44 -0700

libsmbios (2.2.28-1) unstable; urgency=low

  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 08 May 2013 20:51:06 -0700

=== debian/watch ===
version=3
http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-([0-9.]+)/libsmbios-([0-9.]+)\.tar.gz

## libsmbios 2.3.1

=== debian/changelog ===
libsmbios (2.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Sync with Ubuntu 2.3.1-0ubuntu1.
    - With thanks to Mario Limonciello <mario.limonciello@dell.com>
  * Adds libsmbios 3.0 support (LP: #1630480)
  * Update debian/watch for moving to github.
  * debian/patches:
    - Drop, unnecessary with new version.
  * Bump Standards-Version to 3.9.8.
  * Use HTTPS URLs for Vcs links.
  * Drop lpia from Arch list.

 -- tony mancill <tmancill@debian.org>  Sun, 09 Oct 2016 14:21:11 -0700

libsmbios (2.3.0-1) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Add debian/control: Homepage field

  [ tony mancill ]
  * New upstream release.
    - Address warnings when compiling with newer versions of gcc.
      (Closes: #816331)
  * Include pkgconfig files in libsmbios-dev
    - Thanks to Mario Limonciello (Closes: #816330)
  * Drop am_disable_lzma.patch.

 -- tony mancill <tmancill@debian.org>  Sat, 09 Apr 2016 19:00:59 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: libsmbios
 Priority: optional
+Section: libs
 Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
 Uploaders: Loic Minier <lool@dooz.org>, tony mancill <tmancill@debian.org>
-Vcs-Git: git://git.debian.org/git/collab-maint/libsmbios.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/libsmbios.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsmbios.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libsmbios.git
+Homepage: https://github.com/dell/libsmbios/
 Build-Depends: debhelper (>= 9),
                autotools-dev,
                libcppunit-dev,
@@ -15,13 +17,12 @@
                pkg-config,
                autoconf,
                automake,
-               libtool
-Standards-Version: 3.9.3
-Section: libs
+               libtool,
+               autopoint
+Standards-Version: 3.9.8
 
 Package: libsmbios2
-Section: libs
-Architecture: i386 amd64 ia64 lpia
+Architecture: i386 amd64 ia64
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: libsmbios-doc
@@ -85,9 +86,9 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, libsmbios2
 Breaks: ${python:Breaks}
 Suggests: libsmbios-doc
-Description: Provide access to (SM)BIOS information -- python libraries
+Description: Provide access to (SM)BIOS information -- Python libraries
  libsmbios aims towards providing access to as much BIOS information as
- possible. This package provides python functions that can be imported
+ possible. This package provides Python functions that can be imported
  into userspace programs.
 
 Package: libsmbios-doc

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	dh_testdir
 	[ ! -e build/config.sub ] || cp -f /usr/share/misc/config.sub build
 	[ ! -e build/config.guess ] || cp -f /usr/share/misc/config.guess build
-	autoreconf -vf
+	autoreconf --verbose --force --install
 	./configure \
 		CFLAGS="$(CFLAGS)"  LDFLAGS="$(LDFLAGS)" \
 		$(configure_flags)
@@ -62,6 +62,7 @@
 	dh_installexamples -i
 	dh_installdocs -i
 	dh_install -i
+	$(RM) -vf debian/libsmbios-doc/usr/share/doc/libsmbios-doc/getopt/LICENSE
 	dh_python2
 	dh_compress -i
 	dh_fixperms -i
@@ -79,7 +80,8 @@
 	$(RM) -vf debian/libsmbios-dev/usr/include/smbios/config/boost_LICENSE_1_0_txt
 	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyc
 	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.pyo
-	$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.py
+	#$(RM) -v debian/smbios-utils/usr/share/smbios-utils/cli.py
+	dh_python2
 	dh_installman -s
 # manpage currently disabled, see #394898
 #	cd $(CURDIR)/debian/libsmbios-bin; for f in usr/sbin/*; do \

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fwupd-$1\.tar\.gz/ \
https://github.com/dell/libsmbios/tags .*/v?(\d\S*)\.tar\.gz

## libsmbios 2.4.1

=== debian/changelog ===
libsmbios (2.4.1-1) unstable; urgency=medium

  * New upstream microversion.
    - Better compatbility with help2man
    - Fixes some issues found with new gcc.
  * debian: cleanup old conffile (Closes: #890064)

 -- Mario Limonciello <mario.limonciello@dell.com>  Wed, 14 Feb 2018 14:04:18 -0600

libsmbios (2.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fixes crashes in smbios-get-ut-data with inappropriate permissions
      (Closes: #777212)
    - Fixes crashes with SMBIOS 3.0 tables (LP: #1744782)
    - Fix location of cli.py installation (Closes: #701136)
    - No longer installs sh script with bashisms (Closes: #772330)
    - Drops unsupported RBU based flashing (Closes: #496546)
    - Fixes improper function definition (Closes: #748243)
    - Generate man pages with help2man (Closes: #748023)
  * No longer build deprecated C++ library.
    - No longer installs broken dellMediaDirectCtl (Closes: #715812)
  * debian/control:
    - Drop ia64 (Closes: #554582)
    - Update VCS
    - Add Debian EFI as team owner
    - Add Mario to uploaders list (Closes: #838078)
    - Add python3 packages
    - Drop python2 packages
    - Add python3 build-depends
    - Drop cppunit build-depends
    - Depend on libjs-jquery for libsmbios-doc
    - Rename libsmbios2 -> libsmbios-c2
      Provides/Conflicts/Replaces to make a good transition both for
      Debian & Ubuntu.
    - Build depends on help2man.
  * debian/copyright:
    - Fix long lines (Closes: #803607, #803608, #803609)
    - Remove references to C++ stuff
  * debian/rules:
    - Switch to new debhelper format
    - Enable hardening flags
  * debian/smbios-utils.links:
    - Drop reference to old rbu flash tool.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 06 Feb 2018 12:40:46 -0600

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libsmbios-$1\.tar\.gz/ \
https://github.com/dell/libsmbios/tags .*/v?(\d\S*)\.tar\.gz

## libsmbios 2.4.3

=== debian/changelog ===
libsmbios (2.4.3-2) unstable; urgency=medium

  * Trim trailing whitespace.
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 0.13.10-2, 0.13.10-1.
  * Fix up unittest failure causing FTBFS. Closes: #1092525

 -- Steve McIntyre <93sam@debian.org>  Thu, 06 Mar 2025 10:57:19 +0000

libsmbios (2.4.3-1) unstable; urgency=medium

  * New upstream version (2.4.3)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 31 Jan 2020 19:58:02 -0600

=== debian/control ===
Source: libsmbios
Priority: optional
Section: libs
Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
Uploaders: tony mancill <tmancill@debian.org>, Mario Limonciello <mario.limonciello@dell.com>, Jose Luis Tallon <jltallon@adv-solutions.net>, Steve McIntyre <93sam@debian.org>
Vcs-Git: https://salsa.debian.org/efi-team/libsmbios.git
Vcs-Browser: https://salsa.debian.org/efi-team/libsmbios
Homepage: https://github.com/dell/libsmbios/
Build-Depends: debhelper-compat (= 12),
               dh-python,
               doxygen,
               graphviz,
               python3,
               libxml2-dev,
               pkg-config,
               autoconf,
               automake,
               libtool,
               help2man,
               autopoint
Standards-Version: 4.5.0

Package: libsmbios-c2
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libsmbios-doc
Provides: libsmbios2v5 (=2.3.1-0ubuntu2), libsmbios2 (=2.3.1-1)
Conflicts: libsmbios2v5, libsmbios2
Replaces: libsmbios2v5, libsmbios2
Description: Provide access to (SM)BIOS information -- dynamic library
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided. Currently, full access to the SMBIOS table and its
 items is implemented. Additionally, access and manipulation of Dell Indexed
 IO Token (type 0xD4) is implemented. This token is a vendor-extention
 SMBIOS structure which allows uniform access to manipulate the system CMOS
 to enable, disable, or otherwise manipulate normal BIOS functions or features.

Package: libsmbios-dev
Section: libdevel
Architecture: i386 amd64
Depends: libsmbios-c2 (= ${binary:Version}),
         ${misc:Depends}
Description: Provide access to (SM)BIOS information - development files
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be
 used as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided.
 .
 To start out with, the focus is on the SMBIOS tables. Currently, full access
 to the SMBIOS table and its items is implemented. In the future, it will
 provide $PIR, MPTABLE, RCI, RBU, and other tables as well.
 .
 Additionally, access and manipulation of Dell Indexed IO Token (type 0xD4)
 is implemented. This token is a vendor-extention SMBIOS structure which
 allows uniform access to manipulate the system CMOS to enable, disable, or
 otherwise manipulate normal BIOS functions or features.

Package: smbios-utils
Section: admin
Provides: libsmbios-bin
Conflicts: libsmbios-bin
Replaces: libsmbios-bin
Architecture: i386 amd64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-libsmbios,
         python3
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- utility binaries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package includes libsmbios' sample binaries/utilities.

Package: python3-libsmbios
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libsmbios-c2
Suggests: libsmbios-doc
Description: Provide access to (SM)BIOS information -- Python libraries
 libsmbios aims towards providing access to as much BIOS information as
 possible. This package provides Python functions that can be imported
 into userspace programs.

Package: libsmbios-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: Access to (SM)BIOS information in an OS-indepent way (docs)
 libsmbios aims towards providing access to as much BIOS information as
 possible. It does this by providing a library of functions that can be used
 as well as sample binaries.
 .
 It incorporates extensible access to SMBIOS information capabilities and
 ability to perform unit tests across multiple systems without using physical
 hardware. Moreover, centralized, data-driven exception handling for broken
 BIOS tables is provided. Currently, full access to the SMBIOS table and its
 items is implemented. Additionally, access and manipulation of Dell Indexed
 IO Token (type 0xD4) is implemented. This token is a vendor-extension
 SMBIOS structure which allows uniform access to manipulate the system CMOS
 to enable, disable, or otherwise manipulate normal BIOS functions or features.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_install:
	# manpage currently disabled, see #394898
	#	cd $(CURDIR)/debian/libsmbios-bin; for f in usr/sbin/*; do \
	#	    ln -s smbios-bin.1 usr/share/man/man1/$$(basename $$f).1; \

	#autotools doesn't let you override this properly
	# https://bugs.launchpad.net/ubuntu/+source/automake/+bug/1250877
	sed -i 's,^pythondir = .*,pythondir = $${prefix}/lib/python3/dist-packages,' Makefile

	dh_auto_install

override_dh_install:
	#use libjs-jquery instead
	rm -f out/libsmbios_c/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js out/libsmbios_c/html/jquery.js
	#we don't want to install pre-compiled byte code
	rm -rf debian/tmp/usr/lib/python3/dist-packages/libsmbios_c/__pycache__ \
	       debian/tmp/usr/share/smbios-utils/__pycache__/
	dh_install -XLICENSE
